commit:     46c23ff1e8cbfd4a08595a7f868ad69174dcd3cb
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Nov  1 06:19:36 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Nov  1 06:19:36 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=46c23ff1

dev-ruby/instantiator: add 0.0.7

Package-Manager: portage-2.3.0

 dev-ruby/instantiator/Manifest                  |  1 +
 dev-ruby/instantiator/instantiator-0.0.7.ebuild | 26 +++++++++++++++++++++++++
 2 files changed, 27 insertions(+)

diff --git a/dev-ruby/instantiator/Manifest b/dev-ruby/instantiator/Manifest
index f5ddb85..517d2cb 100644
--- a/dev-ruby/instantiator/Manifest
+++ b/dev-ruby/instantiator/Manifest
@@ -1 +1,2 @@
 DIST instantiator-0.0.6.gem 6144 SHA256 
3188fc49f11871d901656c7c01fd8eb035ee4b70f0d619228a69e79e1ec4d555 SHA512 
0d24c804dd048c071e5ddd021a1adcb907eb642df16ce841fdca2efdfd5604f73d065ad4496cf6d63bdff73e7488391d7226bdc0d918d2813502ca3d4fc615a1
 WHIRLPOOL 
ee7be68985c79bdece394bc84766e754f115127910ac68f9c1a73f370c2b0e2d271dde23266ffafd3b6f1b784441855c3e1429f674265fe9ab82fe64f3966a47
+DIST instantiator-0.0.7.gem 8192 SHA256 
797de5c6e264cbf67aefa24aee31302604b250dd23c0f237a827633fdfe00770 SHA512 
b37a9380d787252244d2b85bb99365f4a4ecdab58f76caf5e59df00b239f4981119eb5c2eb2fe6ddcf810bb0fb43695f8926370a101f4223fa28811953e6731d
 WHIRLPOOL 
73291a1979dff6fabf79d9d0ebb3c5f05df17af3ac2c3f664556a49531723fbe9e6a587c47a0355ebeb5f7e4edb18f51ed235f2b192fc8a124498be8911cd527

diff --git a/dev-ruby/instantiator/instantiator-0.0.7.ebuild 
b/dev-ruby/instantiator/instantiator-0.0.7.ebuild
new file mode 100644
index 00000000..040e4a1
--- /dev/null
+++ b/dev-ruby/instantiator/instantiator-0.0.7.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Instantiate an arbitrary Ruby class"
+HOMEPAGE="https://github.com/floehopper/introspection";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+ruby_add_rdepend "dev-ruby/blankslate:*"
+
+all_ruby_prepare() {
+       sed -i -e '/bundler/I s:^:#:' Rakefile test/test_helper.rb || die
+}

Reply via email to